# NotificationController_RequestNotification

Requests that a notification message be sent.

`GET /api/v1/Notification/RequestNotification`

**API:** Excise Platform API
**Tag:** NotificationController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/NotificationController/NotificationController_RequestNotification/

## Description

Sends a notification email to the specified recipient with information about an import job.
The notification includes the import step, job status, summary, and description details.
            
Returns true if the email was sent successfully, or false otherwise.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `messageRecipient` | string | query | Yes | The recipient of the notification message. |
| `importStep` | integer | query | Yes | The import step associated with the notification. |
| `status` | string | query | Yes | The status associated with the notification. |
| `jobSummary` | string | query | Yes | The summary information for the job included in the notification. |
| `jobDescription` | string | query | Yes | The detailed description of the job included in the notification. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns true if the notification request was processed successfully. |  |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/Notification/RequestNotification" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```